com.holonplatform.json.jackson.internal

## Class JacksonPropertyBoxDeserializer

- java.lang.Object
- - com.fasterxml.jackson.databind.JsonDeserializer<com.holonplatform.core.property.PropertyBox>
  - - com.holonplatform.json.jackson.internal.JacksonPropertyBoxDeserializer

- All Implemented Interfaces:
    com.fasterxml.jackson.databind.deser.NullValueProvider

      public class JacksonPropertyBoxDeserializer
      extends com.fasterxml.jackson.databind.JsonDeserializer<com.holonplatform.core.property.PropertyBox>

  Jackson JSON deserializer to handle `PropertyBox` deserialization
  Since:
    5.0.0

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class com.fasterxml.jackson.databind.JsonDeserializer

      `com.fasterxml.jackson.databind.JsonDeserializer.None`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `JacksonPropertyBoxDeserializer()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `com.holonplatform.core.property.PropertyBox` | `deserialize(com.fasterxml.jackson.core.JsonParser parser, com.fasterxml.jackson.databind.DeserializationContext ctxt)`

    - ### Methods inherited from class com.fasterxml.jackson.databind.JsonDeserializer

      `deserialize, deserializeWithType, deserializeWithType, findBackReference, getDelegatee, getEmptyAccessPattern, getEmptyValue, getEmptyValue, getKnownPropertyNames, getNullAccessPattern, getNullValue, getNullValue, getObjectIdReader, handledType, isCachable, replaceDelegatee, supportsUpdate, unwrappingDeserializer`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### JacksonPropertyBoxDeserializer

          public JacksonPropertyBoxDeserializer()

  - ### Method Detail

    - #### deserialize

          public com.holonplatform.core.property.PropertyBox deserialize(com.fasterxml.jackson.core.JsonParser parser,
                                                                         com.fasterxml.jackson.databind.DeserializationContext ctxt)
                                                                  throws IOException,
                                                                         com.fasterxml.jackson.core.JsonProcessingException

      Specified by:
        `deserialize` in class `com.fasterxml.jackson.databind.JsonDeserializer<com.holonplatform.core.property.PropertyBox>`
      Throws:
        `IOException`
        `com.fasterxml.jackson.core.JsonProcessingException`

Copyright © 2019 The Holon Platform. All rights reserved.